Name: waimea
Version: 0.4.0
Release: alt4.1

Summary: A fast and highly customizable virtual multiple desktop window manager
Summary(ru_RU.KOI8-R):           
License: GPL
Group: Graphical desktop/Other
Url: http://www.%name.org/
Packager: Anton V. Denisov <avd@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.menu-method
Source3: %name.wmsession
Source4: %name-icons.tar.bz2
Source5: start%name
Source6: desktops.menu
Source7: window.menu

Patch0: %name-0.3.3-alt-makefile.patch
Patch1: %name-0.4.0-alt-style-cmd.patch

Requires: wmsetbg

# Automatically added by buildreq on Thu Nov 21 2002
BuildRequires: XFree86-devel-static XFree86-libs fontconfig-devel freetype2-devel gcc-c++ libXft-devel libexpat libstdc++-devel pkgconfig

%description
The design goal for %name is to create the most efficient desktop working
environment available. To achieve this %name is a fast and highly customizable
virtual desktop window manager. It uses blackbox image rendering engine
(blackbox styles support) and can use Xft library for font rendering
(anti-aliased font support). It also features a very advanced configuration
system with which it's possible to make %name behave as almost any other
window manager.

%description -l ru_RU.KOI8-R
   %name     
   .     %name   
       
.       blackbox (
   blackbox)     Xft 
  (   ). %name  
  ,    
%name  ,      .

%prep
%setup -q
%setup -q -T -D -a4
%patch0 -p1
%patch1 -p1

%build
%__aclocal
%__automake --copy --add-missing
%__autoconf

%configure \
	--prefix=%_x11dir \
	--bindir=\${prefix}/bin \
	--mandir=\${prefix}/man \
	--datadir=\${prefix}/share \
	--enable-shape \
	--enable-xinerama \
	--enable-render \
	--enable-randr \
	--enable-xft \
	--enable-pixmap

%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT%_x11dir
%make_install install DESTDIR=$RPM_BUILD_ROOT

%__install -pD -m 644 %name-64.xpm $RPM_BUILD_ROOT%_iconsdir/Waimea.xpm
%__install -pD -m 644 %name-48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm

%__install -pD -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%__install -pD -m 755 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/menu-methods/%name
%__install -pD -m 644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/08%name
%__install -pD -m 755 %SOURCE5 $RPM_BUILD_ROOT%_x11bindir/start%name
%__install -pD -m 644 %SOURCE6 $RPM_BUILD_ROOT%_x11datadir/%name/desktops.menu
%__install -pD -m 644 %SOURCE7 $RPM_BUILD_ROOT%_x11datadir/%name/window.menu

%__ln_s -f action.click-to-focus $RPM_BUILD_ROOT%_x11datadir/%name/actions/action

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO data/config

%_x11bindir/*
%_x11mandir/man1/*
%_x11datadir/%name
%_menudir/%name
%_liconsdir/%name.xpm
%_iconsdir/*.xpm
%_miconsdir/%name.xpm

%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.0-alt4.1
- Rebuilt with libstdc++.so.6.

* Fri Jun 06 2003 Anton V. Denisov <avd@altlinux.org> 0.4.0-alt4
- %%files section fixed (%_x11datadir/%name was unowned).
- New icons (from Mdk).

* Sun Dec 08 2002 Anton V. Denisov <avd@altlinux.ru> 0.4.0-alt3
- Menu system improved (now all functions in menu work like
	expect).
- %name.wmsession fixed.

* Sat Nov 23 2002 Anton V. Denisov <avd@altlinux.ru> 0.4.0-alt2
- %name.menu-methodes fixed (switching between WM's now work,
	restart and exit menu entries work too).
- BuildRequires updated for current Sisyphus (Thanks to Inger).
- Changelog entries fixed (macros expansion).

* Wed Nov 20 2002 Anton V. Denisov <avd@altlinux.ru> 0.4.0-alt1
- New version 0.4.0 (with many new good features).
- Summary and description translated to Russian.
- %name-0.3.3-alt-config-littlename.patch removed.
- %%configure improved.
- Url updated.
- BuildRequires updated.
- Requires logic changed (don't use %%{get_dep wmsetbg} because
	buildhost may don't have wmsetbg installed, so requires list
	'll be empty in this case).
- start%name script added.

* Sun Sep 22 2002 Anton V. Denisov <avd@altlinux.ru> 0.3.3-alt2
- menu system fixed (Waimea don't support russian letters in menu).
- Spec file cleaned up.
- %description formated.

* Tue Sep 10 2002 Anton V. Denisov <avd@altlinux.ru> 0.3.3-alt1
- Initial release for Sisyphus.
